Skip to main content
POST
/
api
/
v1
/
connectors
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/connectors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "extraPropertiesDict": {},
  "name": "<string>",
  "type": "NestPay",
  "isActive": true
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "extraPropertiesDict": {},
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "code": "<string>",
    "type": "NestPay",
    "isActive": true,
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "configurationCount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

extraPropertiesDict
object
name
string | null
type
enum<integer>
Available options:
NestPay,
HalkBankVPOS,
GarantiVPOS,
VakifbankVPOS,
IsBankVPOS,
QNBFinansbankVPOS,
DenizBankVPOS,
YapiKrediVPOS,
ZiraatVPOS,
KuveytTurkVPOS,
EnparaVPOS,
Custom
isActive
boolean

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object